dpkg-name(1)

NOMBRE
dpkg-name - Renombra paquetes de Debian a nombres completos de paquete

SINOPSIS
dpkg-name [opción...] [--] fichero...

DESCRIPCIÓN

Esta pagina de manual documenta el uso de dpkg-name, que ofrece una forma sencilla de renombrar paquetes de Debian a sus nombres completos de paquete. Un nombre completo de paquete consiste de paquete_versión_arquitectura.tipo-paquete tal y como se define en el fichero de control del paquete. La parte de versión del nombre de fichero incluye la información de la versión de la fuente original, opcionalmente seguido de un guión, y la información de la revisión. La parte de tipo-paquete se extrae de ese campo, de existir. De no ser así, se usa deb por omisión.

OPCIONES

-a, --no-architecture
    El nombre del fichero de destino no incluirá información sobre la arquitectura.

-k, --symlink
    Crea un enlace simbólico en vez de mover el fichero.

-o, --overwrite
    Los ficheros existentes se sobreescribirán si poseen el mismo nombre que el fichero de destino.

-s, --subdir [directorio]
    Files will be moved into a subdirectory. If the directory given as argument exists the files will be moved into that directory otherwise the name of the target directory is extracted from the section field in the control part of the package. The target directory will be «unstable/binary-architecture/section». If the section is not found in the control, then no-section is assumed, and in this case, as well as for sections non-free and contrib the target directory is «section/binary-architecture». The section field is not required so a lot of packages will find their way to the no-section area. Use this option with care, it's messy.

-c, --create-dir
    This option can used together with the -s option. If a target directory isn't found it will be created automatically. Use this option with care.

-?, --help
    Muestra el modo de uso y termina.

-v, --version
    Muestra la versión y termina.

FALLOS
Some packages don't follow the name structure package_version_architecture.deb. Packages renamed by dpkg-name will follow this structure. Generally this will have no impact on how packages are installed by dselect(1)/dpkg(1), but other installation tools might depend on this naming structure.

EJEMPLOS

dpkg-name bar-foo.deb
    The file bar-foo.deb will be renamed to bar-foo_1.0-2_i386.deb or something similar (depending on whatever information is in the control part of bar-foo.deb).

find /root/debian/ -name '*.deb' | xargs -n 1 dpkg-name -aç
    All files with the extension deb in the directory /root/debian and its subdirectory's will be renamed by dpkg-name if required into names with no architecture information.

find -name '*.deb' | xargs -n 1 dpkg-name -a -o -s -c
    No haga esto. Su archivo se corromperá completamente debido a que una gran cantidad de paquetes no incluyen una sección de información. No haga esto.

dpkg-deb --build debian-tmp && dpkg-name -o -s .. debian-tmp.deb
    Puede utilizar esto al construir paquetes nuevos.

VÉASE TAMBIÉN
deb(5), deb-control(5), dpkg(1), dpkg-deb(1), find(1), xargs(1).

TRADUCTOR
Rudy Godoy <rudy@kernel-panik.org>, Rubén Porras <nahoo@inicia.es>, Bruno Barrera C. <bruno.barrera@igloo.cl>, Carlos Izquierdo <gheesh@ertis.net>, Esteban Manchado y NOK. Debian L10n Spanish <debian-l10n-spanish@lists.debian.org>.
Revisiones por Santiago Vila <sanvila@unex.es>, Javier Fernández-Sanguino, Rubén Porras, Luis Uribe y Omar Campagne.